Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# SoundRequest Class Reference

Represents an acoustic message. More...

`#include <SoundRequest.h>`

List of all members.

## Public Types
enum | SoundID { none, test, bark1, bark2, bark3, hurtdog, howl, growl, startMe, ring, space, bing01, bing02, bing03, bing04, bing05, bing06, bing07, rob001, rob002, rob003, rob004, rob005, rob006, rob101, okay, notokay, accuracy, impressive, excellent, baetsch, klick, highvolt, alert, alarm, alarm2, evilaugh, fanfare, kuckuck, growl2, richtig, numOfSoundIDs }
| ids for all acoustic message Ids signals have to be enumerated first More...
## Public Member Functions
| SoundRequest ()
| constructor
bool | operator== (const SoundRequest &other) const
bool | operator!= (const SoundRequest &other) const
## Static Public Member Functions
const char * | getSoundIDName (SoundID id)
## Public Attributes
SoundID | soundID
| the id of the request

## Detailed Description

Represents an acoustic message.

Definition at line 21 of file SoundRequest.h.

## Member Enumeration Documentation

enum SoundRequest::SoundID

  | ids for all acoustic message Ids signals have to be enumerated first Enumeration values:
  none |
  test |
  bark1 |
  bark2 |
  bark3 |
  hurtdog |
  howl |
  growl |
  startMe |
  ring |
  space |
  bing01 |
  bing02 |
  bing03 |
  bing04 |
  bing05 |
  bing06 |
  bing07 |
  rob001 |
  rob002 |
  rob003 |
  rob004 |
  rob005 |
  rob006 |
  rob101 |
  okay |
  notokay |
  accuracy |
  impressive |
  excellent |
  baetsch |
  klick |
  highvolt |
  alert |
  alarm |
  alarm2 |
  evilaugh |
  fanfare |
  kuckuck |
  growl2 |
  richtig |
  numOfSoundIDs |
Definition at line 28 of file SoundRequest.h.

## Constructor & Destructor Documentation

SoundRequest::SoundRequest | ( |  | ) | `[inline]`

| constructor Definition at line 123 of file SoundRequest.h. References soundID.

## Member Function Documentation

const char* SoundRequest::getSoundIDName | ( | SoundID | id | ) | `[inline, static]`

| Definition at line 73 of file SoundRequest.h. References accuracy, alarm, alarm2, alert, baetsch, bark1, bark2, bark3, bing01, bing02, bing03, bing04, bing05, bing06, bing07, evilaugh, excellent, fanfare, growl, growl2, highvolt, howl, hurtdog, impressive, klick, kuckuck, notokay, okay, richtig, ring, rob001, rob002, rob003, rob004, rob005, rob006, rob101, space, startMe, and test. Referenced by GT2005SoundControl::GT2005SoundControl().

bool SoundRequest::operator== | ( | const SoundRequest & | other | ) | const`[inline]`

| Definition at line 128 of file SoundRequest.h. References soundID.

bool SoundRequest::operator!= | ( | const SoundRequest & | other | ) | const`[inline]`

| Definition at line 133 of file SoundRequest.h.

## Member Data Documentation

SoundID SoundRequest::soundID

| the id of the request Definition at line 137 of file SoundRequest.h. Referenced by GT2005SoundControl::execute(), operator==(), GT2005BehaviorControl::postExecute(), GT2005BehaviorControl::preExecute(), LEDAndSoundSymbols::registerSymbols(), and SoundRequest().

The documentation for this class was generated from the following file:

- Representations/Sound/SoundRequest.h